Documentation IndexFetch the complete documentation index at: /docs/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://api.openworklabs.com/v1/connectors/github/validate-target \ --header 'Content-Type: application/json' \ --data ' { "installationId": 123, "repositoryId": 123, "repositoryFullName": "<string>", "branch": "<string>", "ref": "<string>" } '
{ "ok": true, "item": { "branchExists": true, "defaultBranch": "<string>", "repositoryAccessible": true } }
Validates one repository-branch target before persisting it.
x <= 9007199254740991
1 - 255
GitHub target validated successfully.
Show child attributes
Was this page helpful?